#include <catch2/catch.hpp>
#include "schneide_base/Line.hpp"

using namespace schneide;
using namespace Catch::literals;

TEST_CASE("correctly compute value on line")
{
  Line line{{0.0, 2.0}, {3.0, 9.0}};
  REQUIRE(line(1.0) == 6.0_a);
}
